summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Joachim Kruth2018-07-09 21:11:34 +0200
committer David Spencer2018-07-09 21:11:34 +0200
commit2e41c043f270851b5431278d2d7e74f317efb454 (patch)
tree1b9449c4d4fb638d6b4f6b3d48b1cb52ec8abc68 /academic
parentd3e483fd46dfd04ee1de96972a629676a7d61b1c (diff)
downloadslackbuilds-2e41c043f270851b5431278d2d7e74f317efb454.tar.gz
academic/pari: Added (a computer algebra system).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/pari/README11
-rw-r--r--academic/pari/pari.SlackBuild102
-rw-r--r--academic/pari/pari.info10
-rw-r--r--academic/pari/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/academic/pari/README b/academic/pari/README
new file mode 100644
index 0000000000..45a820522e
--- /dev/null
+++ b/academic/pari/README
@@ -0,0 +1,11 @@
+PARI/GP is a widely used computer algebra system designed for fast computations
+in number theory (factorizations, algebraic number theory, elliptic curves,
+modular forms, L functions...), but also contains a large number of other
+useful functions to compute with mathematical entities such as matrices,
+polynomials, power series, algebraic numbers etc., and a lot of transcendental
+functions. PARI is also available as a C library to allow for faster
+computations.
+
+The build produces a singlethreaded gp binary. If a multithreaded version is
+wanted "--mt=pthread" has to be added as an Configure argument. This however
+created instability in the ploth-function and has therefore been ignored.
diff --git a/academic/pari/pari.SlackBuild b/academic/pari/pari.SlackBuild
new file mode 100644
index 0000000000..5b349d7707
--- /dev/null
+++ b/academic/pari/pari.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for pari/gp
+
+# Copyright 2018 Joachim Kruth <jkruth@telecolumbus.net>
+# All rights reserved.
+# Based on work of Robby and others slackers.
+# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Joachim Kruth as needed to build pari/gp instead of maxima
+
+PRGNAM=pari
+VERSION=${VERSION:-2.9.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./Configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man
+
+make -j1 all
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING CHANGES* INSTALL* NEW README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/pari/pari.info b/academic/pari/pari.info
new file mode 100644
index 0000000000..cb986fcf41
--- /dev/null
+++ b/academic/pari/pari.info
@@ -0,0 +1,10 @@
+PRGNAM="pari"
+VERSION="2.9.5"
+HOMEPAGE="https://pari.math.u-bordeaux.fr/"
+DOWNLOAD="https://pari.math.u-bordeaux.fr/pub/pari/unix/pari-2.9.5.tar.gz"
+MD5SUM="6b970bfe662ac887d1eb92651e3bc34e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Joachim Kruth"
+EMAIL="jkruth@telecolumbus.net"
diff --git a/academic/pari/slack-desc b/academic/pari/slack-desc
new file mode 100644
index 0000000000..5c08a05b74
--- /dev/null
+++ b/academic/pari/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pari: pari (a computer algebra system)
+pari:
+pari: PARI/GP is a widely used computer algebra system designed for fast
+pari: computations in number theory (factorizations, algebraic number
+pari: theory, elliptic curves, modular forms, L functions...), but also
+pari: contains a large number of other useful functions to compute with
+pari: mathematical entities such as matrices, polynomials, power series,
+pari: algebraic numbers etc., and a lot of transcendental functions.
+pari:
+pari: Homepage: https://pari.math.u-bordeaux.fr/
+pari: